HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostCreditNotes

Contains the different functions to run the operation postCreditNotes

  • 6 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports9
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostCreditNotes.hs
valuepostCreditNotes
  1. :: MonadHTTP m
  2. => PostCreditNotesRequestBody

    The request body to send

  3. -> ClientT m (Response PostCreditNotesResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/credit_notes

<p>Issue a credit note to adjust the amount of a finalized invoice. For a <code>status=open</code> invoice, a credit note reduces its <code>amount_due</code>. For a <code>status=paid</code> invoice, a credit note does not affect its <code>amount_due</code>. Instead, it can result in any combination of the following:</p>

<ul> <li>Refund: create a new refund (using <code>refund_amount</code>) or link an existing refund (using <code>refund</code>).</li> <li>Customer balance credit: credit the customer’s balance (using <code>credit_amount</code>) which will be automatically applied to their next invoice when it’s finalized.</li> <li>Outside of Stripe credit: record the amount that is or will be credited outside of Stripe (using <code>out_of_band_amount</code>).</li> </ul>

<p>For post-payment credit notes the sum of the refund, credit and outside of Stripe amounts must equal the credit note total.</p>

<p>You may issue multiple credit notes for an invoice. Each credit note will increment the invoice’s <code>pre_payment_credit_notes_amount</code> or <code>post_payment_credit_notes_amount</code> depending on its <code>status</code> at the time of credit note creation.</p>

Defines the object schema located at paths./v1/credit_notes.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/credit_notes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.lines.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/credit_notes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.lines.items.properties.tax_rates.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/credit_notes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.lines.items.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/credit_notes.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.reason in the specification.

Reason for issuing this credit note, one of `duplicate`, `fraudulent`, `order_change`, or `product_unsatisfactory`

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postCreditNotes.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostCreditNotesResponseError is used.

Constructors

Instances2Eq, Show